#include "PCA9532.h"
#include "mbed.h"
using namespace mbed;
PCA9532::PCA9532(PinName sda, PinName scl, int addr)
    : _i2c(sda,scl) {
    _addr = addr;
    }   

int PCA9532::read(void) {
    char foo[1];
    _i2c.read(_addr,foo,1); 
    return (foo[0]);
 }

void PCA9532::write(int command, int data) {
    char foo[2];
    foo[0] = command;
    foo[1] = data;
    _i2c.write(_addr,foo,2);
    return;
 }